Create a SIP account

Creates a SIP account, the same way as the SIP account form in the portal. Authentication is either password (username and password, optionally restricted by ip_acl and optionally with JWT signature authentication) or ip (the list of authorized auth_ips). Caller ID is managed only through Dynamic Caller ID rules: dynamic_caller_ids is a list of rules, each either an existing rule referenced by id, or a rule definition — an equal existing rule is reused, otherwise a new rule is created. At least one rule for all destinations (condition any) is required, and only rules with a verified Caller ID can be used. default_tech_prefix must be one of the account's tech prefixes and defaults to the first one. Returns 422 with errors when the account cannot be created, including when the account's SIP account limit is reached.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Body of POST /portal/sip_accounts and PUT /portal/sip_accounts/{id}.

sip_account
object
required

SIP account settings. On update only the fields sent are changed.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json